package org.kldp.ebmsh.bi.generator.template;

import org.kldp.ebmsh.bi.generator.context.Context;


/**
 * Template ϰ Context ؼ Template  ҽ  Ŭ
 * 
 * @author ø콺
 */
public abstract class TemplateEngine {
	protected final String TEMPLATE_DIRECTORY = "template";
	
	protected TemplateEngine() { }
	
	
	/**
	 * templateFileName شϴ Template о, context ˸° merge   String Ѵ.
	 * 
	 * Test plan
	 * - templateFileName ڷ null̳ ڿ   -> GeneratorTemplateException ߻ ( error : template file name null  ϴ. )
	 * - context ڷ null   -> GeneratorTemplateException ߻ ( error : context null  ϴ. )
	 * 
	 * @param templateFileName
	 * @param context
	 * @return
	 */
	abstract public String merge(String templateFileName, Context context) throws GeneratorTemplateException;
}
