package org.kldp.ebmsh.bi.environment;

import java.util.Properties;

/**
 * 
 * config/bizboxConfig.properties ϴ properties wrappingϴ Ŭ
 * 
 * @author ø콺
 */
public class EbbiProperties {
	private Properties ebbiProperties;
	
	private final String applicationResultQueueName = "EbmsApplicationResultQueue";
	private final String trackerQueueName = "EbmsTrackerQueue";
	
	
	public EbbiProperties() {
		this.ebbiProperties = new Properties();
	}

	public EbbiProperties(Properties ebbiProperties) {
		this.ebbiProperties = ebbiProperties;
	}
	
	public String getApplicationResultQueueName() {
		return applicationResultQueueName;
	}

	public String getBizboxDatabaseHeaderName() {
		return ebbiProperties.getProperty("bizboxDatabaseHeaderName");
	}

	public void setBizboxDatabaseHeaderName(String bizboxDatabaseHeaderName) {
		ebbiProperties.setProperty("bizboxDatabaseHeaderName", bizboxDatabaseHeaderName);
	}

	public String getDatabaseType() {
		return ebbiProperties.getProperty("databaseType");
	}

	public void setDatabaseType(String databaseType) {
		ebbiProperties.setProperty("databaseType", databaseType);
	}

	public String getDataSourceName() {
		return ebbiProperties.getProperty("dataSourceName");
	}

	public void setDataSourceName(String dataSourceName) {
		ebbiProperties.setProperty("dataSourceName", dataSourceName);
	}

	public String getQueueConnectionFactoryName() {
		return ebbiProperties.getProperty("queueConnectionFactoryName");
	}

	public void setQueueConnectionFactoryName(String queueConnectionFactoryName) {
		ebbiProperties.setProperty("queueConnectionFactoryName", queueConnectionFactoryName);
	}

	public String getQueueJNDIHeaderName() {
		return ebbiProperties.getProperty("queueJNDIHeaderName");
	}

	public void setQueueJNDIHeaderName(String queueJNDIHeaderName) {
		ebbiProperties.setProperty("queueJNDIHeaderName", queueJNDIHeaderName);
	}

	public String getTrackerQueueName() {
		return this.trackerQueueName;
	}
}
