package org.kldp.ebmsh.bi.queue;

import javax.jms.Message;
import javax.jms.QueueSession;

/**
 * MessageConverter 
 * 
 * QueueMessage JMS Message ȯ ϰų  ݴ  ϴ Ŭ
 * 
 *  ޽ Converter  Ŭ ؾѴ.
 * 
 * @author Sirius
 */
public interface MessageConverter {
	public QueueMessage convertToQueueMessage(Message message) throws BiQueueMessageException;
	
	public Message convertToJMSMessage(QueueSession queueSession, QueueMessage queueMessage) throws BiQueueMessageException;
	
	public void validateMessage(Message message) throws BiQueueMessageException;
	
	public void validateMessage(QueueMessage queueMessage) throws BiQueueMessageException;
}