package org.kldp.ebbp.processspecification.state;

import org.oasisOpen.docs.ebxmlBp.ebbp20.DecisionType;
import org.oasisOpen.docs.ebxmlBp.ebbp20.ToLinkDocument.ToLink;

public class Decision extends State {
	private DecisionType decisionType;
	
	public Decision(DecisionType decisionType) {
		this.decisionType = decisionType;
	}

	@Override
	public StateResult perform(StateInput stateInput) {
		System.out.println("Decision perform.");
		
		//TODO stateInput message  decision Ǵմϴ.
		
		ToLink[] toLink = decisionType.getToLinkArray();
		
		String toBusinessStateRef = toLink[0].getToBusinessStateRef();
		
		StateResult stateResult = new StateResult();
		stateResult.setNextStateNameID(toBusinessStateRef);
		
		return stateResult;
	}

}
