package org.kldp.ebbp.queue;

import javax.jms.MapMessage;
import javax.jms.Message;
import javax.jms.QueueSession;

public class BpmsMessageConverter implements MessageConverter {

	public Message convertToJMSMessage(QueueSession queueSession, QueueMessage queueMessage) {
		MapMessage mapMessage = null;
		BpmsMessage bpmsMessage = (BpmsMessage)queueMessage;
		
		try {
			validateMessage(bpmsMessage);
			
			mapMessage = queueSession.createMapMessage();
			
			mapMessage.setString("messageType", bpmsMessage.getMessageType());
			mapMessage.setString("workflowInstanceId", bpmsMessage.getWorkflowInstanceId());
		}
		catch(Exception e) {
			e.printStackTrace();
		}
		
		return mapMessage;
	}

	
	public QueueMessage convertToQueueMessage(Message message) {
		return null;
	}

	public void validateMessage(Message message) {
		try {
			if( message == null )
				throw new IllegalArgumentException("Message nullԴϴ.");
		}
		catch(Exception e) {
			e.printStackTrace();
		}
	}

	public void validateMessage(QueueMessage queueMessage) {
		try {
			if( queueMessage == null )
				throw new IllegalArgumentException("BpmsMessage nullԴϴ.");
		}
		catch(Exception e) {
			e.printStackTrace();
		}
	}
	
}