import java.util.Date;

import org.kldp.ebbp.hibernate.Bpcollaboration;
import org.kldp.ebbp.hibernate.Bpinstance;
import org.kldp.ebbp.hibernate.BpinstanceDAO;
import org.kldp.ebbp.hibernate.Bpinstancestate;
import org.kldp.ebbp.hibernate.Bpinstancestatus;
import org.kldp.ebbp.hibernate.Bpinstancetime;
import org.kldp.ebbp.hibernate.Bprole;
import org.kldp.ebbp.hibernate.Businessprocess;
import org.kldp.ebbp.hibernate.BusinessprocessDAO;



public class Test {
	public static void main(String[] args) {
		try {
			try {
				Bpinstance deleteBpinstance = new BpinstanceDAO().findById("bpinstanceId");
				
				if( deleteBpinstance != null)
					new BpinstanceDAO().delete(deleteBpinstance);
			}
			catch(Throwable t) {
				t.printStackTrace();
			}
			
			Bpinstance bpinstance = new Bpinstance();
			
			bpinstance.setBpInstanceId("bpinstanceId");
			bpinstance.setBpId("bpid");
			
			Bprole bprole = new Bprole();
			bprole.setBpinstance(bpinstance);
			bprole.setRoleId("roleId");
			
			Bpcollaboration bpcollaboration = new Bpcollaboration();
			bpcollaboration.setBpinstance(bpinstance);
			bpcollaboration.setCollaborationId("collaborationId");
			
			Bpinstancetime time = new Bpinstancetime();
			time.setBpinstance(bpinstance);
			time.setStartTime(new Date());
			time.setEndTime(new Date());
			
			Bpinstancestatus status = new Bpinstancestatus();
			status.setBpinstance(bpinstance);
			status.setStatus("inited");
			status.setStatusTime(new Date());
			
			Bpinstancestate state = new Bpinstancestate();
			state.setBpinstance(bpinstance);
			state.setState("state");
			state.setStateTime(new Date());
			
			bpinstance.setBprole(bprole);
			bpinstance.setBpcollaboration(bpcollaboration);
			bpinstance.setBpinstancetime(time);
			bpinstance.setBpinstancestatus(status);
			bpinstance.setBpinstancestate(state);
			
			Businessprocess bp = new BusinessprocessDAO().findById("bpId");
			
			bpinstance.setBusinessprocess(bp);
			
			new BpinstanceDAO().save(bpinstance);
			
			Bpinstance bpinstance2 = new BpinstanceDAO().findById("bpinstanceId");
			
			System.out.println( bpinstance2.getBusinessprocess() );
		}
		catch(Throwable t) {
			t.printStackTrace();
		}
	}
}
