package org.kldp.ebmsh;

/**
 * Ebxml MSH ߻  ִ  Ŭ
 *  Ebxml MSH ߻ϴ  ֻ θ Ŭ̴.
 * @author Sirius
 */
public class EbmsException extends RuntimeException {
	private int errorLevel = 0;
	private int errorCode = 0;
	
	public EbmsException() {
		super();
		
		this.setErrorLevel(-1);
		this.setErrorCode(-1);
	} 
	
	public EbmsException(int errorLevel, int errorCode) {
		super();
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	public EbmsException(int errorLevel, int errorCode, String message) {
		super(message);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	public EbmsException(int errorLevel, int errorCode, String message, Throwable cause) {
		super(message, cause);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	public EbmsException(int errorLevel, int errorCode, Throwable cause) {
		super(cause);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	public void setErrorLevel(int errorLevel) {
		this.errorLevel = errorLevel;
	}
	
	public int getErrorLevel() {
		return this.errorLevel;
	}
	
	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
	
	public int getErrorCode() {
		return this.errorCode;
	}
}