package org.kldp.ebmsh.cpa;

import javax.ejb.CreateException;
import javax.naming.NamingException;

import org.kldp.ebmsh.config.EbmsConstants;
import org.kldp.ebmsh.cpa.ejb.CpaManager;
import org.kldp.ebmsh.cpa.ejb.CpaManagerHome;
import org.kldp.util.j2ee.resource.EJBLocalHomeServiceLocator;


public class CpaManagerFactory {
	public CpaManager createInstance() throws EbmsCpaException {
		try {
			CpaManagerHome cpaManagerHome = (CpaManagerHome)EJBLocalHomeServiceLocator.getInstance().getEJBLocalHome(EbmsConstants.cpaManagerJNDIName);
			
			return cpaManagerHome.create();
		}
		catch(NamingException e) {
			throw new EbmsCpaException(1, 0, e);
		}
		catch(CreateException e) {
			throw new EbmsCpaException(1, 0, e);
		}
	}
}
