//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\Acknowledgment.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
6.3.2 Acknowledgment Element 
The Acknowledgment element is an OPTIONAL extension to the SOAP Header used by 
one Message Service Handler to indicate to another Message Service Handler that 
it has received a message. The RefToMessageId element in an Acknowledgment 
element is used to identify the message being acknowledged by its MessageId. 
The Acknowledgment element consists of the following elements and attributes: 
. an id attribute (see section 2.3.7 for details) 
. a version attribute (see section 2.3.8 for details) 
. a SOAP mustUnderstand attribute with a value of "1" (see section 2.3.9 for 
details) 
. a SOAP actor attribute 
. a Timestamp element 
. a RefToMessageId element 
. a From element 
. zero or more [XMLDSIG] Reference element(s)
 XMLDSIG Reference ʴ´.   .
 */
public interface Acknowledgment extends EbxmlHeaderElement 
{
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 40051C9C020E
    */
   public Timestamp addTimestamp() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 40051CB703B1
    */
   public Timestamp getTimestamp() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 40051CC1036F
    */
   public RefToMessageId addRefToMesssagId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 40051CD1025A
    */
   public RefToMessageId getRefToMessageId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.From
   @throws javax.xml.soap.SOAPException
   @roseuid 40051CE601BA
    */
   public From addFrom() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.From
   @throws javax.xml.soap.SOAPException
   @roseuid 40051CEF01BD
    */
   public From getFrom() throws SOAPException;
   
   public SOAPElement addReference() throws SOAPException;
   
   public SOAPElement getReference() throws SOAPException;
}
