//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\EbxmlHeader.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPHeader;

/**
@author pio
@version 0.0
@since 2003.1.1
EbxmlHeader SOAPHeader̴.
⿡ ߰Ǵ element SOAPHeader  ڽ̴.
MessageOrder   ߰ ̴.
 */
public interface EbxmlHeader extends SOAPHeader 
{
   
   /**
   ErrorList ߰Ѵ.
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.ErrorList
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF679C012B
    */
   public ErrorList addErrorList() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.ErrorList
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF74A60301
    */
   public ErrorList getErrorList() throws SOAPException;
   
   
   public boolean hasErrorList() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SyncReply
   @throws javax.xml.soap.SOAPException
   @roseuid 400520490289
    */
   public SyncReply addSyncReply() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SyncReply
   @throws javax.xml.soap.SOAPException
   @roseuid 4005206302A4
    */
   public SyncReply getSyncReply() throws SOAPException;
   
   /**
   @since 2003.1.1
   SyncReply ƴ ˷ ̰  ȴ.
   @return boolean
   @throws javax.xml.soap.SOAPException
   @roseuid 400520720328
    */
   public boolean hasSyncReply() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Acknowledgment
   @throws javax.xml.soap.SOAPException
   @roseuid 400520960199
    */
   public Acknowledgment addAcknowledgment() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Acknowledgment
   @throws javax.xml.soap.SOAPException
   @roseuid 400520B20045
    */
   public Acknowledgment getAcknowledgment() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return boolean
   @throws javax.xml.soap.SOAPException
   @roseuid 400522CC0189
    */
   public boolean hasAcknowledgment() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.AckRequested
   @throws javax.xml.soap.SOAPException
   @roseuid 400522F70091
    */
   public AckRequested addAckRequested() throws SOAPException;
   
   
   
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.AckRequested
   @throws javax.xml.soap.SOAPException
   @roseuid 4005230E0076
    */
   public AckRequested getAckRequested() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return boolean
   @throws javax.xml.soap.SOAPException
   @roseuid 40052323033D
    */
   public boolean hasAckRequested() throws SOAPException;
   
// add MessageOrder
	public MessageOrder addMessageOrder() throws SOAPException;
	public MessageOrder getMessageOrder() throws SOAPException;
	
	public boolean hasMessageOrder() throws SOAPException;
   
   
  
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageHeader
   @throws javax.xml.soap.SOAPException
   @roseuid 400B63870325
    */
   public MessageHeader addMessageHeader() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageHeader
   @throws javax.xml.soap.SOAPException
   @roseuid 400B63BA00B1
    */
   public MessageHeader getMessageHeader() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return boolean
   @roseuid 400B89610274
    */
   public boolean hasMessageHeader() throws SOAPException;
}
