//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\MessageData.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.1.6 MessageData Element 
The REQUIRED MessageData element provides a means of uniquely identifying an 
ebXML Message. It contains the following: 
. MessageId element 
. Timestamp element 
. RefToMessageId element 
. TimeToLive element 
The following fragment demonstrates the structure of the MessageData element: 
<eb:MessageData> 
<eb:MessageId>20001209-133003-28572@example.com</eb:MessageId> 
<eb:Timestamp>2001-02-15T11:12:12</eb:Timestamp> 
<eb:RefToMessageId>20001209-133003-28571@example.com</eb:RefToMessageId> 
</eb:MessageData>
MessageData MessageHeader ڽ Element̴.
 */
public interface MessageData extends EbxmlElement 
{
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EA910108
    */
   public Timestamp addTimestamp() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EA9D03CC
    */
   public Timestamp getTimestamp() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EAA80025
    */
   public RefToMessageId addRefToMessageId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EAB501FA
    */
   public RefToMessageId getRefToMessageId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EAF20111
    */
   public MessageId addMessageId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EAF90220
    */
   public MessageId getMessagId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.TimeToLive
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EB0103DA
    */
   public TimeToLive addTimeToLive() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.TimeToLive
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EB0D02A1
    */
   public TimeToLive getTimeToLive() throws SOAPException;
}
