//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\MessageOrder.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
9.1 MessageOrder Element 
The MessageOrder element is an OPTIONAL extension to the SOAP Header requesting 
the 
preservation of message order in this conversation. 
The MessageOrder element contains the following: 
. a id attribute (see section 2.3.7) 
. a version attribute (see section 2.3.8 for details) 
. a SOAP mustUnderstand attribute with a value of "1" (see section 2.3.9 for 
details) 
. a SequenceNumber element 
When the MessageOrder element is present, DuplicateElimination MUST also be 
present and SyncReply MUST NOT be present. 
츰 MessageOrder  ʴ´.
 ebxml msh ϰ Ǹ鼭   ߰ ϱ ߴ.
2005.3.17
 */
public interface MessageOrder extends EbxmlHeaderElement 
{
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SequenceNumber
   @throws javax.xml.soap.SOAPException
   @roseuid 400504E102EF
    */
   public SequenceNumber addSequenceNumber() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SequenceNumber
   @throws javax.xml.soap.SOAPException
   @roseuid 400504EF01A4
    */
   public SequenceNumber getSequenceNumber() throws SOAPException;
}
