//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\PartyId.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.1.1.1 PartyId Element 
The PartyId element has a single attribute, type and the content is a string 
value. The type attribute indicates the domain of names to which the string in 
the content of the PartyId element belongs. value of the type attribute MUST be 
mutually agreed and understood by each of the Parties. It is RECOMMENDED that 
the value of the type attribute be a URI. It is further recommended that these 
values be taken from the EDIRA (ISO 6523), EDIFACT ISO 9735 or ANSI ASC X12 I05 
registries. If the PartyId type attribute is not present, the content of the 
PartyId element MUST be a URI [RFC2396], otherwise the Receiving MSH SHOULD 
report an error (see section 4.1.5) with errorCode set to Inconsistent and 
severity set to Error. It is strongly RECOMMENDED that the content of the 
PartyId element be a URI.
 */
public interface PartyId extends EbxmlElement 
{
   
   /**
   @since 2003.1.1
   @param type
   @throws javax.xml.soap.SOAPException
   @roseuid 4004D5220266
    */
   public void setType(String type) throws SOAPException;
   
   /**
   type   ݵ partyid  uri Ѵ.
   ׷  error ߻Ѿ Ѵ.
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4004D58A031A
    */
   public String getType() throws SOAPException;
}
