//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\EbxmlBodyElementImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.Name;
import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.kldp.ebmsh.message.packaging.EbxmlBodyElement;
import org.kldp.ebmsh.message.packaging.EbxmlConstants;






/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class EbxmlBodyElementImpl extends EbxmlElementImpl implements EbxmlBodyElement 
{

	private static Log log = LogFactory.getLog(EbxmlBodyElementImpl.class); 

	/**
   @since 2003.1.1
	 */
	protected SOAPBodyElement soapBodyElement = null;

	/**
   @since 2003.1.1
   @roseuid 4001F5F90363
	 */
	public EbxmlBodyElementImpl() 
	{

	}

	/**
   @since 2003.1.1
   @param env
   @param soapBodyElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4001F52B0294
	 */
	public EbxmlBodyElementImpl(SOAPEnvelope env, SOAPBodyElement soapBodyElement) throws SOAPException 
	{
		super(env,soapBodyElement);
		this.soapBodyElement = soapBodyElement;
	}

	/**
   @since 2003.1.1
   @param version
   @throws javax.xml.soap.SOAPException
   @roseuid 4001F543013A
	 */

	public void setVersion(String version) throws SOAPException 
	{

		Name name = env.createName( 
				"version",EbxmlConstants.prefixEb,EbxmlConstants.msgHeaderName);
		if(soapBodyElement ==null)
		{
			log.info("soapBody  is null");
		}
		soapBodyElement.addAttribute(name,"2.0" );

	}

	/**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4001F54301A8
	 */
	//TODO getVersion()  
	public String getVersion() throws SOAPException 
	{
		return null;
	}
	/**
   @since 2003.1.1
   @param version
   @throws javax.xml.soap.SOAPException
   @roseuid 4001EE9B0270
	 */
	public void setId(String id) throws SOAPException 
	{
		Name name = env.createName( 
				"id",EbxmlConstants.prefixEb,EbxmlConstants.msgHeaderName);

		soapBodyElement.addAttribute(name,id );
	}

	/**
	@since 2003.1.1
	@return java.lang.String
	@throws javax.xml.soap.SOAPException
	@roseuid 4001EE9B02DF
	 */
	public String getId() throws SOAPException 
	{
		Name name = env.createName( 
				"id",EbxmlConstants.prefixEb,EbxmlConstants.msgHeaderName);

		return soapBodyElement.getAttributeValue(name);

	}


}
