//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\ErrorElementImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.Description;
import org.kldp.ebmsh.message.packaging.ErrorElement;



/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class ErrorElementImpl extends EbxmlElementImpl implements ErrorElement 
{
   
   /**
   codeContext attribute
   @since 2003.1.1
    */
   private String codeContext = "codeContext";
   
   /**
   errorCode attribute
   @since 2003.1.1
    */
   private String errorCode = "errorCode";
   
   /**
   severity attribute
   @since 2003.1.1
    */
   private String severity = "severity";
   
   /**
   location attribute
   @since 2003.1.1
    */
   private String location = "location";
   
   /**
   @since 2003.1.1
   @roseuid 4001FF5F03B3
    */
   public ErrorElementImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D0007
    */
   public ErrorElementImpl(SOAPEnvelope env, SOAPElement soapElement) throws SOAPException 
   {
    super(env,soapElement);
   }
   
   /**
   @since 2003.1.1
   @param context
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D0089
    */
   public void setCodeContext(String context) throws SOAPException 
   {
	
	this.setEbxmlAttribute(this.codeContext ,context);
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D0152
    */
   public String getCodeContext() throws SOAPException 
   {
	return this.getEbxmlAttribute(this.codeContext );
   }
   
   /**
   @since 2003.1.1
   @param errorCode
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D01D4
    */
   public void setErrorCode(String errorCode) throws SOAPException 
   {
   	
	this.setEbxmlAttribute(this.errorCode ,errorCode);
    
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D027E
    */
   public String getErrorCode() throws SOAPException 
   {
	return this.getEbxmlAttribute( this.errorCode );
   }
   
   /**
   @since 2003.1.1
   @param severity
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0D030A
    */
   public void setServerity(String severity) throws SOAPException 
   {
	this.setEbxmlAttribute( this.severity ,severity);
    
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0E0027
    */
   public String getServerity() throws SOAPException 
   {
	
	return this.getEbxmlAttribute(this.severity );
	
   }
   
   /**
   @since 2003.1.1
   @param location
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0E009F
    */
   public void setLocation(String location) throws SOAPException 
   {
  
	
	this.setEbxmlAttribute( this.location,location);
    
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4001FF0E0185
    */
   public String getLocation() throws SOAPException 
   {
	
	return this.getEbxmlAttribute( this.location );
	   
   }
   /**
	 @since 2003.1.1
	 Error Description  ߰Ѵ.
	 @return com.softmeca.ebmsh.message.packaging.Description
	 @throws javax.xml.soap.SOAPException
	 @roseuid 4018755B006E
	  */
   
	 public Description addDescription() throws SOAPException
	 {
	 	
		SOAPElement se = this.addEbxmlChildElement("Description");
		DescriptionImpl desc  = new DescriptionImpl(env,se);
		return desc;
	 
	 }
   
	 /**
	 @since 2003.1.1
	 Error Description  ´.
	 @return com.softmeca.ebmsh.message.packaging.Description
	 @throws javax.xml.soap.SOAPException
	 @roseuid 4018757B01BE
	  */
	 
	 public Description getDescription() throws SOAPException
	 {
		SOAPElement soe = this.getFirstChildElement( "Description");
		return new DescriptionImpl(env,soe);
	 }
}
