//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\ManifestImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import java.util.ArrayList;
import java.util.Iterator;

import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.Manifest;
import org.kldp.ebmsh.message.packaging.Reference;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class ManifestImpl extends EbxmlBodyElementImpl implements Manifest 
{
   
   /**
   @since 2003.1.1
   @roseuid 40077A63012D
    */
   public ManifestImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapBodyElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE3900B6
    */
   public ManifestImpl(SOAPEnvelope env, SOAPBodyElement soapBodyElement) throws SOAPException 
   {
    super(env,soapBodyElement);
    this.setId("Manifest");
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Reference
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE39012E
    */
   public Reference addReference() throws SOAPException 
   {
   	SOAPElement soe = this.addEbxmlChildElement( "Reference");
    return new ReferenceImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return java.util.Iterator
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE390188
    */
   public ArrayList getReferences() throws SOAPException 
   {
   	
   	ArrayList al = new ArrayList();
   	Iterator i = getChildElements("Reference");
   	while(i.hasNext())
   	{
   		ReferenceImpl r = new ReferenceImpl(env,(SOAPElement)i.next() );
   		al.add(r);
   	}
   	return al;
    
   }
}
