//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\MessageDataImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.MessageData;
import org.kldp.ebmsh.message.packaging.MessageId;
import org.kldp.ebmsh.message.packaging.RefToMessageId;
import org.kldp.ebmsh.message.packaging.TimeToLive;
import org.kldp.ebmsh.message.packaging.Timestamp;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class MessageDataImpl extends EbxmlElementImpl implements MessageData 
{
   
   /**
   @since 2003.1.1
   @roseuid 40077B3201B7
    */
   public MessageDataImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA0D0255
    */
   public MessageDataImpl(SOAPEnvelope env, SOAPElement soapElement) throws SOAPException 
   {
    super(env,soapElement);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA3F02C5
    */
   public Timestamp addTimestamp() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "Timestamp");
   	return new TimestampImpl(env,soe);
    //return null;
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA3F0301
    */
   public Timestamp getTimestamp() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "Timestamp");
    return new TimestampImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA3F033D
    */
   public RefToMessageId addRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA3F0383
    */
   public RefToMessageId getRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA3F03BF
    */
   public MessageId addMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "MessageId");
   	
    return new MessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.MessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA400013
    */
   public MessageId getMessagId() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "MessageId");
    return new MessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.TimeToLive
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA40005A
    */
   public TimeToLive addTimeToLive() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "TimeToLive");
   	
    return new TimeToLiveImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.TimeToLive
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FA4000A0
    */
   public TimeToLive getTimeToLive() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "TimeToLive");
    return new TimeToLiveImpl(env,soe);
   }
}
