//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\StatusResponseImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.RefToMessageId;
import org.kldp.ebmsh.message.packaging.StatusResponse;
import org.kldp.ebmsh.message.packaging.Timestamp;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class StatusResponseImpl extends EbxmlBodyElementImpl implements StatusResponse 
{
   
   /**
   @since 2003.1.1
   @roseuid 40079631015B
    */
   public StatusResponseImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapBodyElement
   @throws javax.xml.soap.SOAPException
   @roseuid 400600810052
    */
   public StatusResponseImpl(SOAPEnvelope env, SOAPBodyElement soapBodyElement) throws SOAPException 
   {
    super(env,soapBodyElement);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A2012B
    */
   public RefToMessageId addRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A2017C
    */
   
   public RefToMessageId getRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A201D6
    */
   public Timestamp addTimestamp() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "Timestamp");
    return new TimestampImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A20230
    */
   public Timestamp getTimestamp() throws SOAPException 
   {
    SOAPElement soe = this.getFirstChildElement( "Timestamp");
    return new TimestampImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @param mesageStatus
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A2028A
    */
   public void setMessageStatus(String messageStatus) throws SOAPException 
   {
    this.setEbxmlAttribute( "messageStatus",messageStatus);
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 400600A2035C
    */
   public String getMessageStatus() throws SOAPException 
   {
    return this.getEbxmlAttribute( "messageStatus");
   }
}
