//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\TimestampImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import java.util.Date;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.Timestamp;
import org.kldp.ebmsh.message.util.MessageUtil;

/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class TimestampImpl extends EbxmlElementImpl implements Timestamp 
{
   
   /**
   @since 2003.1.1
   @roseuid 400796EC01BE
    */
   public TimestampImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4006019203E4
    */
   public TimestampImpl(SOAPEnvelope env, SOAPElement soapElement) throws SOAPException 
   {
    super(env,soapElement);
   }
   
   /**
   @since 2003.1.1
   @throws javax.xml.soap.SOAPException
   @roseuid 400601CA00EB
    */
   
   public void setTimestamp() throws SOAPException 
   {
    String timestamp = MessageUtil.dateToUTC(new Date());
    this.setValue(timestamp);
   }
}
