package org.kldp.ebmsh.message.security;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;

import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPPart;
import javax.xml.transform.stream.StreamSource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.xml.security.utils.XMLUtils;
import org.kldp.ebmsh.message.packaging.EbxmlMessage;
import org.w3c.dom.Document;

	

public class SecurityUtils{
	private static Log log = LogFactory.getLog(SecurityUtils.class); 

	public byte[] SOAPPartTOBytes(EbxmlMessage eb) throws IOException, SOAPException {
		byte[] arr = null;
		
		try {
			ByteArrayOutputStream out = new ByteArrayOutputStream();
			eb.writeTo(out);
			
			byte[] temp = out.toByteArray();
			String soapS = new String(temp);
			//</SOAP:Envelope>
			//TODO ⵵ .̷ ڸ ȵȴ. ٸ ǥ   ֱ ̴.
			//</soap-env:Envelope> </SOAP:Envelope> ̷ ȴ. .
			//츮  </soap-env:Envelope> ε korbit </SOAP:Envelope>̴ .
			// ٺ  ذؾ Ѵ.
			int endPoint = "</soap-env:Envelope>".length();
			int startPoint = soapS.indexOf("<");
			//log.info("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
			//log.info(soapS);
			//log.info("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
			//log.info("end point ~~" + soapS.indexOf("</SOAP:Envelope>") + endPoint);
			soapS = soapS.substring(startPoint, soapS.indexOf("</soap-env:Envelope>") + endPoint);
			
			arr = soapS.getBytes();
		}
		catch(IOException e) {
			throw e;
		}
		catch(SOAPException e) {
			throw e;
		}
		
		
		return arr;	
	}
	
	public byte[] SignedSOAPPartTOBytes(EbxmlMessage eb) throws IOException, SOAPException {
		byte[] arr = null;
		log.info("\n======Start 2========");
		
		try {
			ByteArrayOutputStream out = new ByteArrayOutputStream();
			eb.writeTo(out);
			byte[] temp = out.toByteArray();
			String soapS = new String(temp);
			//log.info(soapS);
			//<SOAP:Envelope 
			//TODO ̷ ڸ ȵȴ. ٸ  soap  ֱ  
			//̺κе ߿ ľ ٵ.~~
			int endPoint = "</soap-env:Envelope>".length();
			
			int startPoint = soapS.indexOf("<");
			soapS = soapS.substring(startPoint, soapS.indexOf("</soap-env:Envelope>") + endPoint);
			arr = soapS.getBytes();
		}
		catch(IOException e) {
			throw e;
		}
		catch(SOAPException e) {
			throw e;
		}
		
		
		return arr;		
	}
	
	public EbxmlMessage updateSignedMessage(EbxmlMessage old_msg, Document signed_doc) throws SOAPException {
		EbxmlMessage msg = old_msg;
		
		try {
			SOAPPart sPart = msg.getSOAPPart();
			SOAPEnvelope env = sPart.getEnvelope();
			env.getHeader().detachNode();
			
			ByteArrayOutputStream f = new ByteArrayOutputStream();
			XMLUtils.outputDOMc14nWithComments(signed_doc, f);
			ByteArrayInputStream fin = new ByteArrayInputStream(f.toByteArray());
			
			String s = new String(f.toByteArray());
			log.info("===================SOAP Part ==============");
			log.info(s);
			log.info("===================SOAP Part ==============");
			StreamSource source = new StreamSource(fin);
			sPart.setContent(source);
			//header.addChildElement((SOAPElement)headerNode);
		}
		catch(SOAPException e) {
			throw e;
		}
						
		return msg;
	}
}