/*
 * $Id: ByteInputStream.java,v 1.1 2007/10/31 00:42:38 antasis9 Exp $
 * $Revision: 1.1 $
 * $Date: 2007/10/31 00:42:38 $
 */

/*
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.kldp.ebmsh.message.util;

import java.io.ByteArrayInputStream;
import java.io.IOException;

// This class just gives access to the underlying buffer without copying.
//TODO jaxm class ״  ̴.

public class ByteInputStream extends ByteArrayInputStream {
    public ByteInputStream(byte buf[], int length) {
        super(buf, 0, length);
    }

    public ByteInputStream(byte buf[], int offset, int length) {
        super(buf, offset, length);
    }
        
    public byte[] getBytes() {
        return buf;
    }

    public int getCount() {
        return count;
    }

    public void close() throws IOException {
	reset();
    }
}
