package org.kldp.ebmsh.queue;

import javax.jms.Message;
import javax.jms.QueueSession;


/**
 * MessageConverter 
 * 
 * QueueMessage JMS Message ȯ ϰų  ݴ  ϴ Ŭ
 * 
 *  ޽ Converter  Ŭ ؾѴ.
 * 
 * @author Sirius
 */
public interface MessageConverter {
	public QueueMessage convertToQueueMessage(Message message) throws EbmsQueueMessageException;
	
	public Message convertToJMSMessage(QueueSession queueSession, QueueMessage queueMessage) throws EbmsQueueMessageException;
	
	public void validateMessage(Message message) throws EbmsQueueMessageException;
	
	public void validateMessage(QueueMessage queueMessage) throws EbmsQueueMessageException;
}