package org.kldp.util.j2ee.resource;

import javax.jms.Queue;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * QueueServiceLocator
 * 
 * ServiceLocator pattern
 * 
 * Queue ѹ lookupؼ ĳϰ մϴ.
 * 
 * @author Sirius
 */
public class QueueServiceLocator {
	private final static QueueServiceLocator instance = new QueueServiceLocator();

	private QueueServiceLocator() { }

	public static QueueServiceLocator getInstance() {
		return instance;
	}
	
	public Queue getQueue(String queueName) throws NamingException {
		Context context = new InitialContext();
	
		return (Queue)context.lookup(queueName);
	}
}