package org.kldp.ebmsh.moniter;

public class MoniterException extends Exception {
	private int errorLevel = 0;
	private int errorCode = 0;
	
	
	/**
	 * @stereotype constructor
	 */
	
	public MoniterException() {
		super();
		
		this.setErrorLevel(-1);
		this.setErrorCode(-1);
	} 
	
	
	/**
	 * @stereotype constructor
	 */
	
	public MoniterException(int errorLevel, int errorCode) {
		super();
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	
	/**
	 * @stereotype constructor
	 */
	
	public MoniterException(int errorLevel, int errorCode, String message) {
		super(message);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	
	/**
	 * @stereotype constructor
	 */
	
	public MoniterException(int errorLevel, int errorCode, String message, Throwable cause) {
		super(message, cause);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	
	/**
	 * @stereotype constructor
	 */
	
	public MoniterException(int errorLevel, int errorCode, Throwable cause) {
		super(cause);
		
		this.setErrorLevel(errorLevel);
		this.setErrorCode(errorCode);
	}
	
	public void setErrorLevel(int errorLevel) {
		this.errorLevel = errorLevel;
	}
	
	public int getErrorLevel() {
		return this.errorLevel;
	}
	
	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
	
	public int getErrorCode() {
		return this.errorCode;
	}
}