package org.kldp.ebmsh.bi.generator.source;

import org.kldp.ebmsh.bi.generator.context.Context;
import org.kldp.ebmsh.bi.generator.template.TemplateEngine;

/**
 * Template Source mergeϰ   Ͽ ϴ Ŭ
 * 
 * @author ø콺
 */
abstract class SourceGenerator {
	/**
	 * Template Context merge TemplateEngine
	 */
	protected TemplateEngine templateEngine;
	
	
	/**
	 * 
	 * 
	 * TestPlan
	 * - ڷ null Ѿ GeneratorSourceGeneratorException ߻Ų. ( errorMessage : TemplateEngine null  ϴ. )
	 * 
	 * @param templateEngine
	 */
	protected SourceGenerator(TemplateEngine templateEngine) throws GeneratorSourceGeneratorException {
		if( templateEngine == null )
			throw new GeneratorSourceGeneratorException("TemplateEngine null  ϴ.");
		
		this.templateEngine = templateEngine;
	}
	
	
	/**
	 * ҽ merge ϰ Ͽ ϴ ޼
	 * 
	 * TestPlan
	 * -  context null Ѿ GeneratorSourceGeneratorException ߻Ų. ( errorMessage : Context null  ϴ. )
	 * -  outputDirectory null Ѿ GeneratorSourceGeneratorException ߻Ų. ( errorMessage : outputDirectory null  ϴ. )
	 * 
	 * @param context
	 * @param outputDirectory
	 */
	abstract protected void generateSource(Context context, String outputDirectory) throws GeneratorSourceGeneratorException;
}