package org.kldp.ebbp.processspecification.collaboration;

import java.io.Serializable;

import org.kldp.ebbp.processspecification.role.Role;
import org.kldp.ebbp.processspecification.state.Start;
import org.kldp.ebbp.processspecification.state.State;



/**
 * Ebbp definition  Collaboration wrapper class
**/
public abstract class Collaboration implements Serializable {
	/**
	 *    state referrence
	**/
	protected State currentState;
	
	/**
	 * roleNameID شϴ role ɴϴ.
	 * 
	 * @param roleNameID
	 * @return
	 */
	public abstract Role getRoleByNameID(String roleNameID);
	
	/**
	 * TimeToPerform ɴϴ.
	**/
	public abstract TimeToPerform getTimeToPerform();
	
	/**
	 * Collaborationȿ ִ Start element ɴϴ.
	**/
	public abstract Start getStartState();
	
	/**
	 * Collabationȿ ִ State nameID ɴϴ.
	 *
	 * @param    stateNameID
	**/
	public abstract State getStateByNameID(String stateNameID);
}
