package org.kldp.ebbp.processspecification.state;

import org.oasisOpen.docs.ebxmlBp.ebbp20.StartType;

public class Start extends State {
	private StartType startType;
	private ToLink toLink;
	
	public Start(StartType startType) {
		this.startType = startType;
		this.toLink = new ToLink(startType.getToLinkArray(0));
	}
	
	public StateResult perform(StateInput stateInput) {
		StateResult stateResult = new StateResult();
		
		stateResult.setNextStateNameID( toLink.getToBusinessStateRefByString() );
		
		return stateResult;
	}
	
	public ToLink getToLink() {
		return toLink;
	}
}
