//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\Description.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.1.8 Description Element
The Description element may be present zero or more times. Its purpose is to 
provide a human readable description of the purpose or intent of the message. 
The language of the description is defined by a required xml:lang attribute. 
The xml:lang attribute MUST comply with the rules for identifying 
languages specified in XML [XML]. Each occurrence SHOULD have a different value 
for xml:lang.
 */
public interface Description extends EbxmlElement 
{
   
   /**
   xml:lang κ ä.
   @since 2003.1.1
   @param lang
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6B9D0215
    */
   public void setLang(String lang) throws SOAPException;
   
   /**
   xml:lang κ ´
   @since 2003.1.1
   @return java.lang.String
   @roseuid 3FFF6CB500FF
    */
   public String getLang();
}
