//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\DuplicateElimination.java

package org.kldp.ebmsh.message.packaging;


/**
@author pio
@version 0.0
@since 2003.1.1
3.1.7 DuplicateElimination Element 
The DuplicateElimination element, if present, identifies a request by the 
sender for the receiving MSH to check for duplicate messages (see section 6.4.1 
for more details). 
Valid values for DuplicateElimination: 
. DuplicateElimination present . duplicate messages SHOULD be eliminated. 
. DuplicateElimination not present . this results in a delivery behavior of 
Best-Effort. 
The DuplicateElimination element MUST NOT be present if the CPA has 
duplicateElimination set to never (see section 6.4.1 and section 6.6 for more 
details).
 */
public interface DuplicateElimination extends EbxmlElement 
{
}
