//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\EbxmlConstants.java

package org.kldp.ebmsh.message.packaging;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public interface EbxmlConstants 
{
   
   /**
   @since 2003.1.1
    */
   public String msgHeaderName = "http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd";
   
   /**
   @since 2003.1.1
    */
   public String prefixEb = "eb";
   
   /**
   @since 2003.1.1
    */
   public String enUs = "en-US";
   
   /**
   @since 2003.1.1
   2.3.10 ebXML "Next MSH" actor URI
   The URI urn:oasis:names:tc:ebxml-msg:actor:nextMSH when used in the context of 
   the SOAP actor attribute value SHALL be interpreted to mean an entity that acts 
   in the role of an instance of the ebXML MSH conforming to this specification. 
   This actor URI has been established to allow for the possibility that SOAP 
   nodes that are NOT ebXML MSH nodes MAY participate in the message path of an 
   ebXML Message. An example might be a SOAP node that digitally signs or encrypts 
   a message. 
   All ebXML MSH nodes MUST act in this role.
    */
   public static String nextMsh = "urn:oasis:names:tc:ebxml-msg:actor:nextMSH";
   
   /**
   @since 2003.1.1
   2.3.11 ebXML "To Party MSH" actor URI 
   The URI urn:oasis:names:tc:ebxml-msg:actor:toPartyMSH when used in the context 
   of the SOAP actor attribute value SHALL be interpreted to mean an instance of 
   an ebXML MSH node, conforming to this specification, acting in the role of the 
   Party identified in the MessageHeader/To/PartyId element of the same message. 
   An ebXML MSH MAY be configured to act in this role. How this is done is outside 
   the scope of this specification. 
   The MSH that is the ultimate destination of ebXML messages MUST act in the role 
   of the To Party MSH 
   actor URI in addition to acting in the default actor as defined by SOAP.
    */
   public static String partyMsh = "urn:oasis:names:tc:ebxml-msg:actor:toPartyMSH";
   
   /**
   @since 2003.1.1
   3.1.4 Service Element 
   
   <eb:Service>urn:services:SupplierOrderProcessing</eb:Service> 
   Note: URIs in the Service element that start with the namespace 
   urn:oasis:names:tc:ebxml-msg:service are
   reserved for use by this specification. 
   The Service element has a single type attribute.
    */
   public static String service = "urn:oasis:names:tc:ebxml-msg:service";
   
   /**
   @since 2003.1.1
   4.2.3.2.2 codeContext attribute 
   The codeContext attribute identifies the namespace or scheme for the 
   errorCodes. It MUST be a URI. Its default value is 
   urn:oasis:names:tc:ebxml-msg:service:errors.
    */
   public static String errors = "urn:oasis:names:tc:ebxml-msg:service:errors";
   
   
   public static String next = "http://schemas.xmlsoap.org/soap/actor/next";
   public static final int MIN_MESSAGE_ORDER = 0;

   public static final int MAX_MESSAGE_ORDER = 99999999;
   
   public static String Reset ="Reset";
   public static String Continue ="Continue";
}
/**
































EbxmlConstants.opname()
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 */
