//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\ErrorElement.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
4.2.3.2 Error Element 
An Error element consists of: 
. id attribute (see section 2.3.7 for details) 
. codeContext attribute 
. errorCode attribute 
. severity attribute 
. location attribute 
. Description element
 ü ebxml error  ٷ ü̴.
setErrorCode()// ڵ ä
getErrorCode() // ڵ 
setSeverity()// ġ(warning , error) ߰
getServerity() //  ġ  
setLocation()// ߻ ߰
getLocation()// ߻ 
addDescription()//   ü  ä
getDescription()//  .
 */
public interface ErrorElement extends EbxmlElement 
{
   
   /**
   4.2.3.2.2 codeContext attribute 
   The codeContext attribute identifies the namespace or scheme for the 
   errorCodes. It MUST be a URI. Its default value is 
   urn:oasis:names:tc:ebxml-msg:service:errors. If it does not have the default 
   value, then it indicates an implementation of this specification has used its 
   own errorCode attribute values. Use of a codeContext attribute value other than 
   the default is NOT RECOMMENDED. In addition, an implementation of this 
   specification should not use its own errorCode attribute values if an existing 
   errorCode as defined in this section has the same or very similar meaning.
   @since 2003.1.1
   @param context
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6E020144
    */
   public void setCodeContext(String context) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6EDB0182
    */
   public String getCodeContext() throws SOAPException;
   
   /**
   4.2.3.2.3 errorCode attribute 
   The REQUIRED errorCode attribute indicates the nature of the error in the 
   message in error. Valid values for the errorCode and a description of the 
   codes meaning are given in the next section.
   ڵ ErrorCode interface ǵǾִ  Ѵ.
   @since 2003.1.1
   @param errorCode
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6EFF01B6
    */
   public void setErrorCode(String errorCode) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6FAA0343
    */
   public String getErrorCode() throws SOAPException;
   
   /**
   4.2.3.2.4 severity attribute 
   The REQUIRED severity attribute indicates the severity of the error. Valid 
   values are: . Warning . This indicates other messages in the conversation could 
   be generated in the normal way in spite of this problem. . Error . This 
   indicates there is an unrecoverable error in the message and no further message 
   processing should occur. Appropriate failure conditions should be communicated 
   to the Application.
   ־  warning ,error ä.
   @since 2003.1.1
   @param severity
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF6FD5007D
    */
   public void setServerity(String severity) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF707A01E3
    */
   public String getServerity() throws SOAPException;
   
   /**
   4.2.3.2.5 location attribute 
   The location attribute points to the part of the message containing the error. 
   If an error exists in an ebXML element and the containing document is "well 
   formed" (see XML [XML]), then the content of the location attribute MUST be an 
   XPointer [XPointer]. If the error is associated with an ebXML Payload 
   Container, then location contains the content-id of the MIME part in error, 
   using URI scheme "cid".
   error ߻  xpointer uri ؼ äִ´
   @since 2003.1.1
   @param location
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF709F0273
    */
   public void setLocation(String location) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 3FFF711901D8
    */
   public String getLocation() throws SOAPException;
   
   /**
   @since 2003.1.1
   Error Description  ߰Ѵ.
   @return com.softmeca.ebmsh.message.packaging.Description
   @throws javax.xml.soap.SOAPException
   @roseuid 4018755B006E
    */
   public Description addDescription() throws SOAPException;
   
   /**
   @since 2003.1.1
   Error Description  ´.
   @return com.softmeca.ebmsh.message.packaging.Description
   @throws javax.xml.soap.SOAPException
   @roseuid 4018757B01BE
    */
   public Description getDescription() throws SOAPException;
}
