//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\Manifest.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.2.2 Manifest Validation 
If an xlink:href attribute contains a URI that is a content id (URI scheme 
"cid") then a MIME part with that content-id MUST be present in the 
corresponding Payload Container of the message. If it is not, 

then the error SHALL be reported to the From Party with an errorCode of 
MimeProblem and a severity of Error. 
If an xlink:href attribute contains a URI, not a content id (URI scheme "cid"), 
and the URI cannot be resolved, it is an implementation decision whether to 
report the error. If the error is to be reported, it SHALL be reported to the 
From Party with an errorCode of MimeProblem and a severity of Error. Note: If a 
payload exists, which is not referenced by the Manifest, that payload SHOULD be 
discarded.
 */
public interface Manifest extends EbxmlBodyElement 
{
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Reference
   @throws javax.xml.soap.SOAPException
   @roseuid 4005303A02FF
    */
   public Reference addReference() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.util.Iterator
   @throws javax.xml.soap.SOAPException
   @roseuid 400530460393
    */
   public java.util.ArrayList getReferences() throws SOAPException;
}
