//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\MessageStatus.java

package org.kldp.ebmsh.message.packaging;


/**
@author pio
@version 0.0
@since 2003.1.1
7.3.3 messageStatus attribute 
The REQUIRED messageStatus attribute identifies the status of the message 
identified by the RefToMessageId element. It SHALL be set to one of the 
following values: 
. UnAuthorized . the Message Status Request is not authorized or accepted 
. NotRecognized . the message identified by the RefToMessageId element in the 
StatusResponse element is not recognized 
. Received . the message identified by the RefToMessageId element in the 
StatusResponse element has been received by the MSH 
. Processed . the message identified by the RefToMessageId element in the 
StatusResponse element has been processed by the MSH 
. Forwarded . the message identified by the RefToMessageId element in the 
StatusResponse element has been forwarded by the MSH to another MSH 
Note: if a Message Status Request is sent after the elapsed time indicated by 
PersistDuration has passed since the message being queried was sent, the 
Message Status Response may indicate the MessageId was NotRecognized . 
the MessageId is no longer in persistent storage.
 */
public interface MessageStatus 
{
   
   /**
   @since 2003.1.1
    */
   public static String UnAuthorized = "UnAuthorized";
   
   /**
   @since 2003.1.1
    */
   public static String NotRecognized = "NotRecognized";
   
   /**
   @since 2003.1.1
    */
   public static String Received = "Received";
   
   /**
   @since 2003.1.1
    */
   public static String Processed = "Processed";
   
   /**
   @since 2003.1.1
    */
   public static String Forwarded = "Forwarded";
}
/**



















MessageStatus.NotRecodgnized()
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 */
