//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\Schema.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.2.1.1 Schema Element 
If the item being referenced has schema(s) of some kind that describe it (e.g. 
an XML Schema, DTD and/or a database schema), then the Schema element SHOULD be 
present as a child of the Reference element. It provides a means of identifying 
the schema and its version defining the payload object identified by the parent 
Reference element. The Schema element contains the following attributes: 
. location . the REQUIRED URI of the schema 
. version . a version identifier of the schema
 */
public interface Schema extends EbxmlElement 
{
   
   /**
   @since 2003.1.1
   @param schemaLocation
   @throws javax.xml.soap.SOAPException
   @roseuid 40052BBA023A
    */
   public void setSchemaLocation(String schemaLocation) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 40052BCD0260
    */
   public String getSchemaLocation() throws SOAPException;
   
   /**
   @since 2003.1.1
   @param schemaVersion
   @throws javax.xml.soap.SOAPException
   @roseuid 40052BD7021E
    */
   public void setSchemaVersion(String schemaVersion) throws SOAPException;
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 40052BE60021
    */
   public String getSchemaVersion() throws SOAPException;
}
