//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\StatusRequest.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
7.2 StatusRequest Element 
The OPTIONAL StatusRequest element is an immediate child of a SOAP Body and is 
used to identify an earlier message whose status is being requested (see 
section 7.3.5). 
The StatusRequest element consists of the following: 
. an id attribute (see section 2.3.7 for details) 
. a version attribute (see section 2.3.8 for details) 
. a RefToMessageId element
 */
public interface StatusRequest extends EbxmlBodyElement 
{
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 40053342005C
    */
   public RefToMessageId addRefToMessageId() throws SOAPException;
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005337401C7
    */
   public RefToMessageId getRefToMessageId() throws SOAPException;
}
