//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\TimeToLive.java

package org.kldp.ebmsh.message.packaging;

import javax.xml.soap.SOAPException;

/**
@author pio
@version 0.0
@since 2003.1.1
3.1.6.4 TimeToLive Element 
If the TimeToLive element is present, it MUST be used to indicate the time, 
expressed as UTC, by which a message should be delivered to the To Party MSH. 
It MUST conform to an XML Schema dateTime. 
In this context, the TimeToLive has expired if the time of the internal clock, 
adjusted for UTC, of the Receiving MSH is greater than the value of TimeToLive 
for the message. 
If the To Partys MSH receives a message where TimeToLive has expired, it 
SHALL send a message to the From Party MSH, reporting that the TimeToLive of 
the message has expired. This message SHALL be comprised of an ErrorList 
containing an error with the errorCode attribute set to TimeToLiveExpired 
and the severity attribute set to Error. 
The TimeToLive element is discussed further under Reliable Messaging in section 
6.4.5.
޽    ޽ ߻ Ѿ Ѵ.
 */
public interface TimeToLive extends EbxmlElement 
{
   
   /**
   @since 2003.1.1
   TimeToLive  ޽带  .
   @param timeToLive
   @throws javax.xml.soap.SOAPException
   @roseuid 4004EB880262
    */
   public void setTimeToLive(String timeToLive) throws SOAPException;
}
