//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\To.java

package org.kldp.ebmsh.message.packaging;


/**
@author pio
@version 0.0
@since 2003.1.1
3.1.1 From and To Elements 
The REQUIRED From element identifies the Party that originated the message. The 
REQUIRED To element identifies the Party that is the intended recipient of the 
message. Both To and From can contain logical identifiers, such as a DUNS 
number, or identifiers that also imply a physical location such as an eMail 
address. 
The From and the To elements each contains: 
. PartyId elements . occurs one or more times 
. Role element . occurs zero or one times. 
If either the From or To elements contains multiple PartyId elements, all 
members of the list MUST identify the same organization. Unless a single type 
value refers to multiple dentification systems, the value of any given type 
attribute MUST be unique within the list of PartyId elements contained within 
either the From or To element. 
Note: This mechanism is particularly useful when transport of a message between 
the parties may involve multiple intermediaries. More generally, the From Party 
should provide identification in all domains it knows in support of 
intermediaries and destinations that may give preference to particular 
identification systems. 
The From and To elements contain zero or one Role child element that, if 
present, SHALL immediately follow the last PartyId child element.
 */
public interface To extends Party 
{
}
