//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\AcknowledgmentImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPHeaderElement;

import org.kldp.ebmsh.message.packaging.Acknowledgment;
import org.kldp.ebmsh.message.packaging.From;
import org.kldp.ebmsh.message.packaging.RefToMessageId;
import org.kldp.ebmsh.message.packaging.Timestamp;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class AcknowledgmentImpl extends EbxmlHeaderElementImpl implements Acknowledgment 
{
   
   /**
   @since 2003.1.1
   @roseuid 400673AD009E
    */
   public AcknowledgmentImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapHeaderElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D0205
    */
   public AcknowledgmentImpl(SOAPEnvelope env, SOAPHeaderElement soapHeaderElement) throws SOAPException 
   {
    super(env,soapHeaderElement);
    this.setId("Acknowledgment");
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D0269
    */
   public Timestamp addTimestamp() throws SOAPException 
   {
   	SOAPElement soe  = this.addUniqueEbxmlChildElement ( "Timestamp"); 
   	TimestampImpl timestamp = new TimestampImpl(env,soe);
    return timestamp;
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Timestamp
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D02A5
    */
   public Timestamp getTimestamp() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement("Timestamp");
    return new TimestampImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D02E1
    */
   public RefToMessageId addRefToMesssagId() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "RefToMessageId");
   	return new RefToMessageIdImpl(env,soe);
    
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D0314
    */
   public RefToMessageId getRefToMessageId() throws SOAPException 
   {
    
    SOAPElement soe = this.getFirstChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.From
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D0346
    */
   public From addFrom() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement ( "From");
   	return new FromImpl(env,soe);
    //return null;
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.From
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FD2D0382
    */
   public From getFrom() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "From");
    return new FromImpl(env,soe);
   }
   
   
   
   public SOAPElement addReference() throws SOAPException 
   {
	   SOAPElement soe = this.addUniqueEbxmlChildElement("Reference");
	   return soe;
   }
   
   public SOAPElement getReference() throws SOAPException
   {
	   SOAPElement soe = this.getFirstChildElement("Reference");
	   return soe;
   }
}
