//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\MessageOrderImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPHeaderElement;

import org.kldp.ebmsh.message.packaging.MessageOrder;
import org.kldp.ebmsh.message.packaging.SequenceNumber;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class MessageOrderImpl extends EbxmlHeaderElementImpl implements MessageOrder 
{
   
   /**
   @since 2003.1.1
   @roseuid 400792040262
    */
   private MessageOrderImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapHeaderElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FC9D02DA
    */
   public MessageOrderImpl(SOAPEnvelope env, SOAPHeaderElement soapHeaderElement) throws SOAPException 
   {
    super(env,soapHeaderElement);
    this.setId("MessageOrder");
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SequenceNumber
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FDAB024C
    */
   public SequenceNumber addSequenceNumber() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "SequenceNumber");
    return new SequenceNumberImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.SequenceNumber
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FDAB02A7
    */
   public SequenceNumber getSequenceNumber() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "SequenceNumber");
    return new SequenceNumberImpl(env,soe);
   }
}

 
 
 
 
 
 