//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\PartyImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import java.util.ArrayList;
import java.util.Iterator;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.Party;
import org.kldp.ebmsh.message.packaging.PartyId;
import org.kldp.ebmsh.message.packaging.Role;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class PartyImpl extends EbxmlElementImpl implements Party 
{
   
   /**
   @since 2003.1.1
   @roseuid 400792B8022F
    */
   public PartyImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE6F03A3
    */
   public PartyImpl(SOAPEnvelope env, SOAPElement soapElement) throws SOAPException 
   {
    super(env,soapElement);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.PartyId
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE9D025E
    */
   public PartyId addPartyId() throws SOAPException 
   {
   	SOAPElement soe = this.addEbxmlChildElement( "PartyId");
    return new PartyIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return java.util.Iterator
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE9D029B
    */
   public Iterator getPartyIds() throws SOAPException 
   {
   	
		ArrayList al = new ArrayList();
		Iterator i = this.getChildElements( "PartyId");
		while(i.hasNext())
		{
			PartyIdImpl r = new PartyIdImpl(env,(SOAPElement)i.next() );
			al.add(r);
		}
		return al.iterator();
   
    
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Role
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE9D02CD
    */
   public Role addRole() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "Role");
    return new RoleImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.Role
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FE9D02F5
    */
   public Role getRole() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "Role");
    return new RoleImpl(env,soe);
   }
}
