//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\SchemaImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.Schema;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class SchemaImpl extends EbxmlElementImpl implements Schema 
{
   
   /**
   @since 2003.1.1
   @roseuid 400794A60301
    */
   public SchemaImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FF9700E1
    */
   public SchemaImpl(SOAPEnvelope env, SOAPElement soapElement) throws SOAPException 
   {
    super(env,soapElement);
   }
   
   /**
   @since 2003.1.1
   @param schemaLocation
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FFC001BD
    */
   public void setSchemaLocation(String schemaLocation) throws SOAPException 
   {
    this.setEbxmlAttribute( "location",schemaLocation);
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FFC00253
    */
   public String getSchemaLocation() throws SOAPException 
   {
    return this.getEbxmlAttribute( "location");
   }
   
   /**
   @since 2003.1.1
   @param schemaVersion
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FFC002AD
    */
   public void setSchemaVersion(String schemaVersion) throws SOAPException 
   {
     this.setEbxmlAttribute( "version",schemaVersion);
   }
   
   /**
   @since 2003.1.1
   @return java.lang.String
   @throws javax.xml.soap.SOAPException
   @roseuid 4005FFC00375
    */
   public String getSchemaVersion() throws SOAPException 
   {
    return this.getEbxmlAttribute( "version");
   }
}
