//Source file: c:\\code\\com\\softmeca\\ebmsh\\message\\packaging\\impl\\StatusRequestImpl.java

package org.kldp.ebmsh.message.packaging.impl;

import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPException;

import org.kldp.ebmsh.message.packaging.RefToMessageId;
import org.kldp.ebmsh.message.packaging.StatusRequest;


/**
@author pio
@version 0.0
@since 2003.1.1
 */
public class StatusRequestImpl extends EbxmlBodyElementImpl implements StatusRequest 
{
   
   /**
   @since 2003.1.1
   @roseuid 400795D60377
    */
   public StatusRequestImpl() 
   {
    
   }
   
   /**
   @since 2003.1.1
   @param env
   @param soapBodyElement
   @throws javax.xml.soap.SOAPException
   @roseuid 4006005202F3
    */
   public StatusRequestImpl(SOAPEnvelope env, SOAPBodyElement soapBodyElement) throws SOAPException 
   {
    super(env,soapBodyElement);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4006006C00CA
    */
   public RefToMessageId addRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.addUniqueEbxmlChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
   
   /**
   @since 2003.1.1
   @return com.softmeca.ebmsh.message.packaging.RefToMessageId
   @throws javax.xml.soap.SOAPException
   @roseuid 4006006C0110
    */
   public RefToMessageId getRefToMessageId() throws SOAPException 
   {
   	SOAPElement soe = this.getFirstChildElement( "RefToMessageId");
    return new RefToMessageIdImpl(env,soe);
   }
}
