<%@ page contentType="text/html charset=euc-kr" %>
<jsp:directive.page import="javax.jms.*"/>
<jsp:directive.page import="javax.naming.Context"/>
<jsp:directive.page import="javax.naming.InitialContext"/>
<jsp:directive.page import="org.kldp.ebmsh.message.packaging.EbxmlMessage"/>
<jsp:directive.page import="java.io.FileInputStream"/>
<jsp:directive.page import="org.kldp.ebmsh.config.EbmsConstants"/>
<jsp:directive.page import="java.io.File"/>
<jsp:directive.page import="org.kldp.ebmsh.message.util.Serializer"/>
<jsp:directive.page import="org.kldp.util.io.FileIoUtil"/>

<%
	FileInputStream fis = new FileInputStream(new File("C:\\ebxml.xml"));

	try {
		Serializer.deserialize(fis);
	}
	catch(Exception e) {
		e.printStackTrace();
	}
	finally {
		fis.close();
	}
	
	if( true )
		return ;
	

	String messagePath = "C:\\1192411132546-SMC@nonghyup-nonghyuplogis-cpa";

	byte[] messageStr = FileIoUtil.readDataFromFile(messagePath);
	
	FileIoUtil.saveDataToFile("c:\\", "ebxml.xml", messageStr);

	

	Context context = new InitialContext();
	
	QueueConnectionFactory queueConnectionFactory = (QueueConnectionFactory)context.lookup("QueueConnectionFactory");	
	Queue queue = (Queue)context.lookup("SendQueue");
	
	QueueConnection queueConnection = null;
	QueueSession queueSession = null;
	QueueSender queueSender = null;
		
	try {
		queueConnection = queueConnectionFactory.createQueueConnection();
		queueSession = queueConnection.createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
		queueSender = queueSession.createSender(queue);
		
		MapMessage message = queueSession.createMapMessage();
		
		message.setString("from", "Tester");
		message.setString("to", "Server");		
		message.setString("cpaId", "TEST");
		message.setString("conversationId", "ebXML");
		message.setString("service", "urn:ebxml:iic:test");
		message.setString("action", "ExpenseReport");
		message.setString("payloadCount", "1");

		byte[] payload = "String".getBytes();
		
		message.setBytes("payload0", payload);
		
		
			/*String from = sendMessage.getFrom();
			String to = sendMessage.getTo();
			String cpaId = sendMessage.getCpaId();
			String conversationId = sendMessage.getConversationId();
			String action = sendMessage.getAction();
			String service = sendMessage.getService();
			int payloadCount = sendMessage.getPayloadCount();				
			byte[][] payloads = sendMessage.getPayloads();*/
			
		
		queueSender.send(message);
	}
	catch(Exception e) {
		out.println(e);
	}
	finally {
		if( queueSender == null ) 
			queueSender.close();
		
		if( queueSession == null )
			queueSession.close();
			
		if( queueConnection == null )
			queueConnection.close();
	}
	
	out.println( queueConnectionFactory + "<br/>" );
	out.println( queue );
%>